Get invoice PDF
Download link for the PDF of a booked invoice.
GET https://cotlet.dev/api/v1/e-conomic/invoices/{invoice_number}/pdf
read
Returns the PDF of a booked invoice as a download link that works for a short time. The PDF is the one e-conomic produces for the invoice, with its layout.
Parameters
| Name | Type | Description |
|---|---|---|
| invoice_number integer required | integer | Booked invoice number from list_unpaid_invoices. |
Request
curl https://cotlet.dev/api/v1/e-conomic/invoices/1/pdf \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("e-conomic", "get_invoice_pdf", {"invoice_number":1}) const result = await cotlet.call('e-conomic', 'get_invoice_pdf', {"invoice_number":1}); cotlet call e-conomic get_invoice_pdf --data '{"invoice_number":1}' Example response
{
"invoice_number": 1038,
"pdf_url": "https://files.cotlet.dev/e-conomic/invoice-1038.pdf",
"expires_in_seconds": 900
}